<?php
require_once( "../db.php" );
//require_once( "useSingleton.php" );
/**
 * Methods for database handling.
 */
class LoginCandidates extends Db  {

   
    const BCRYPT_COST = 14;
	
	public $username;
	public $password;
	public $role;
	public $exist;
	 
	 
	 public function __construct() {

   }
	 
	 
    

    /**
     * Gets given users password.
     *
     * @param $username The username to get the password of.
     * @return The password of the given user.
     */
    public function getUsersPassword($examno) {
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT password
                FROM   candidateslog
                WHERE  examno = :examno';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':examno', $examno);

        $statement->execute();
        $row = $statement->fetch(PDO::FETCH_ASSOC);
        $this->password = $row['password'];

       parent::DisConnect( $MySQLiconn);

        return $this->password;
    }

    /**
     * Creates a new user.
     *
     * @param $username The username to create.
     * @param $password The password of the user.
     */
    public function createLogin($examno,$password,$role,$email,$textcode) {
	   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();	
	   
	 try{
	 
       $sql = "INSERT INTO candidateslog (examno,password,role,email,textcode)
                VALUES (:examno, :password, :role, :email, :textcode)";
					

       $options = array('cost' => self::BCRYPT_COST);
        $derivedPassword = password_hash($password, PASSWORD_BCRYPT, $options);
       // $derivedTexcode = md5(uniqid(rand())); 
        $statement = $MySQLiconn->prepare($sql);
	
        $statement->bindValue(':examno',$examno, PDO::PARAM_STR );
		
        $statement->bindValue(":password", $derivedPassword, PDO::PARAM_STR);
        $statement->bindValue(":role", $role,  PDO::PARAM_STR);
		$statement->bindValue(":email", $email , PDO::PARAM_STR);
		$statement->bindValue(":textcode", $textcode , PDO::PARAM_STR);
			
        $statement->execute();
		
		
		parent::DisConnect( $MySQLiconn);
	  }

        catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
    }
	
	
	
	
	public function countAll(){
	$instance = parent::getInstance();
		//$instance = new DBAccess();
       $MySQLiconn  = $instance->getConnection();	
 
   $sql = "SELECT * from members";
				$statement = $MySQLiconn->prepare($sql);
    $statement->execute();
 
    $num = $statement->rowCount();
 
    return $num;
	parent::DisConnect( $MySQLiconn);
}







public function getUsersPassword2($examno) {
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   candidateslog
                WHERE  examno = :examno';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':examno', $examno);

        $statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
	
	   $this->role = $row['role'];
 
    return $this->role;
        
      
		 parent::DisConnect( $MySQLiconn);
		
    }

   public function getPassword(){
	   return $this->password ;
	   }
	   
	 public function getRole(){
	   return $this->role ;
	   }   
	
	
	
	 public function updateLoginDetails($examno,$password) {
	   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();	
	   
	 try{
	 
    //   $sql = "INSERT INTO login (staffno,password,role,email,textcode,password2)
              //  VALUES (:staffno, :password, :role, :email, :textcode, :password2)";
			  
			  $sql = "UPDATE candidateslog SET password = :password WHERE examno = :examno";
					

       $options = array('cost' => self::BCRYPT_COST);
        $derivedPassword = password_hash($password, PASSWORD_BCRYPT, $options);
       // $derivedTexcode = md5(uniqid(rand())); 
        $statement = $MySQLiconn->prepare($sql);
	
        $statement->bindValue(':examno',$examno, PDO::PARAM_STR );
		
        $statement->bindValue(":password", $derivedPassword, PDO::PARAM_STR);
        
		
			
        $statement->execute();
		
		
		parent::DisConnect( $MySQLiconn);
	  }

        catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
    }
	
	
	
	
	

	
	
	
	
}