<?php 
require_once( "db.php" );


class StudentRecord extends  Db {
	
	public $admissionno;
	public $classnum;
	public $image;
	public $class1;
	public $session1;
	public $picstatus;
	public $studid;
	public $year;
	public $class2;
	
	public function __construct() {

   }
   
   public function addStudentRecords($admissionno,$classnum,$image,$class1,$class2,$session1,$picstatus,$studid,$year){
	   
	   try{
	   $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		$sql = 'INSERT into studentrecord (admissionno,classnum,image,class,class2,session1,picstatus,studid,year)
		VALUES(:admissionno,:classnum,:image,:class1,:class2,:session1,:picstatus,:studid,:year)'; 
		
		
		$statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':admissionno', $admissionno);
		$statement->bindValue(':classnum', $classnum);
		$statement->bindValue(':image', $image);
		$statement->bindValue(':class1', $class1);
		$statement->bindValue(':class2', $class2);
		$statement->bindValue(':session1', $session1);
		$statement->bindValue(':picstatus', $picstatus);
		$statement->bindValue(':studid', $studid);
		$statement->bindValue(':year', $year);
		
		 $statement->execute();
		 parent::DisConnect( $MySQLiconn);  
	   }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
		 
	   
	   
	   }
	   
	   public function viewAllStudentsInCurrentSession($year){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		// $res1=$MySQLiconn->query("select p.memberid, p.fname, p.lname,s.totalshares from personaldata as p, shares as s where p.memberid = s.memberid");
		
       // $sql = 'SELECT *
              //  FROM  studentrecord s where year = :year  INNER JOIN student w ON s.admissionno = w.admissionno';
				
				
				  $sql = 'SELECT s.class, w.lname,w.fname,w.admissionno,w.phone,w.bloodgroup,w.genotype, w.gender,w.phone,w.dateadmitted,w.dob,w.doe,w.email,w.othernames 
                FROM  studentrecord s   INNER JOIN student w ON s.admissionno = w.admissionno where s.year = :year';
				
				

        $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':year', $year);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		   }
		   
		   
		   
		 
		 
		 public function viewAllStudentsBySessionAndClass($year,$class){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        
				
				 $sql = "SELECT s.class, w.lname,w.fname,w.admissionno,w.othernames,s.class2, s.session1,w.email,  s.picstatus,s.studid,s.image,w.image,w.phone,w.gender,w.dob,w.state,w.lga
                FROM  studentrecord s   INNER JOIN student w ON s.admissionno = w.admissionno where  s.year = :year AND s.class = :class AND w.status = 'present'
                ORDER BY w.lname ASC ";

        $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':year', $year);
       $statement->bindValue(':class', $class);
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		   }
		   

	 public function viewStudentsByYearAndAdmissionno($year,$admissionno){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        
				
				 $sql = 'SELECT s.class, w.lname,w.fname,w.admissionno,w.othernames
                FROM  studentrecord s   INNER JOIN student w ON s.admissionno = w.admissionno where s.year = :year AND s.admissionno = :admissionno';

        $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':year', $year);
       $statement->bindValue(':admissionno', $admissionno);
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		   }
		   
		 
		 
	public function updateStudentRecord($admissionno,$year,$class,$class2,$classnum,$studid){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   try{
		   
		   $sql = 'UPDATE studentrecord SET class = :class,class2 = :class2, classnum = :classnum, studid = :studid WHERE admissionno = :admissionno AND 
		   year = :year';
		   $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':admissionno',$admissionno);
		   $statement->bindValue(':year',$year);
		   $statement->bindValue(':class',$class);
		   $statement->bindValue(':class2',$class2);
		   $statement->bindValue(':classnum',$classnum);
		   $statement->bindValue(':studid',$studid);
		   
		  $statement->execute(); 
		  parent::DisConnect( $MySQLiconn);   
		   }
		   
		 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}    
	   
	  
		}	
		
		
		   
	public function deleteStudent($admissionno){
			
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'DELETE 
                FROM   studentrecord
                WHERE  admissionno = :admissionno';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':admissionno', $admissionno);

        $statement->execute(); 
		 parent::DisConnect( $MySQLiconn); 
		 
			 
			 }
			 
			 public function selectImage($studid){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from studentrecord WHERE studid = :studid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':studid',$studid);
	   $statement->execute();
	    $row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->image = $row['image']; 
		
	   parent::DisConnect( $MySQLiconn); 
		}	
		
		public function InsertImageUrl($studid,$image,$picstatus){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   try{
		   
		   $sql = 'UPDATE studentrecord SET image = :image,picstatus = :picstatus  WHERE studid = :studid';
		   $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':studid',$studid);
		    $statement->bindValue(':image',$image);
			 $statement->bindValue(':picstatus',$picstatus);
		  $statement->execute(); 
		  parent::DisConnect( $MySQLiconn);   
		   }
		   
		 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}    
	   
	  
		}	
	
	
	public function InsertImageUrl3($admissionno,$image,$picstatus){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   try{
		   
		   $sql = 'UPDATE student SET image = :image,picstatus = :picstatus  WHERE admissionno = :admissionno';
		   $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':admissionno',$admissionno);
		    $statement->bindValue(':image',$image);
			 $statement->bindValue(':picstatus',$picstatus);
		  $statement->execute(); 
		  parent::DisConnect( $MySQLiconn);   
		   }
		   
		 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}    
	   
	  
		}	
	
	
	
	 public function checkStudidForPromotion($admissionno,$session1){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   studentrecord
                WHERE  admissionno = :admissionno AND session1 = :session1';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':admissionno', $admissionno);
       $statement->bindValue(':session1', $session1);
        $statement->execute();
		//$row = $statement->fetch(PDO::FETCH_ASSOC);
		
     
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
		
		
		
		
		} 	
			
	public function updatepPhone($admissionno,$phone){
	  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE student set phone = :phone where admissionno = :admissionno';
	   
	   $statement = $MySQLiconn->prepare($sql);
		
		$statement->bindValue(':admissionno',$admissionno);
		$statement->bindValue(':phone',$phone);
		
	    $statement->execute();
	   
	    parent::DisConnect( $MySQLiconn);  
	   }
	   
	   
	    public function deleteStudentWithId($admissionno,$session1){
			
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'DELETE 
                FROM   studentrecord
               WHERE  admissionno = :admissionno AND session1 = :session1';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':admissionno', $admissionno);
        $statement->bindValue(':session1', $session1); 
        $statement->execute(); 
		 parent::DisConnect( $MySQLiconn); 
		 
			 
			 }	
			 
			 
		
		// new codes
		
		 public function viewStudentsInAttendanceByDateAndClass($date,$class){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        
				
				 $sql = 'SELECT s.present, w.lname,w.fname,w.admissionno,w.othernames,s.id,w.image,w.phone,w.gender,s.date,s.class
                FROM  attendance s   INNER JOIN student w ON s.admissionno = w.admissionno where s.date = :date AND s.class = :class
                ORDER BY w.lname ASC';

        $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':date', $date);
        $statement->bindValue(':class', $class);
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		   }
			 
	
	 public function viewStudentsInAttendanceByDate($date){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        
				
				 $sql = 'SELECT s.present, w.lname,w.fname,w.admissionno,w.othernames,s.id,w.image,w.phone,w.gender,s.date,s.class
                FROM  attendance s   INNER JOIN student w ON s.admissionno = w.admissionno where s.date = :date 
                ORDER BY w.lname ASC';

        $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':date', $date);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		   }
		   
		   
		   public function viewAllStudentsForAutomaicPromtion($year){
		   
			$instance = parent::getInstance();	
		$MySQLiconn  = $instance->getConnection();
		 // $res1=$MySQLiconn->query("select p.memberid, p.fname, p.lname,s.totalshares from personaldata as p, shares as s where p.memberid = s.memberid");
		 
		// $sql = 'SELECT *
			   //  FROM  studentrecord s where year = :year  INNER JOIN student w ON s.admissionno = w.admissionno';
				 
				 
				   $sql = "SELECT s.image,s.studid,s.class, w.lname,w.fname,s.class2,w.admissionno
				 FROM  studentrecord s   INNER JOIN student w ON s.admissionno = w.admissionno where s.year = :year  ";
				 
				 
 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':year', $year);
		
		 $statement->execute();
		 
		 return $statement;
		
		  parent::DisConnect( $MySQLiconn);  
			}		   
	
			
	
	
	
	}

 
 ?>